Loading...
Searching...
No Matches
janus_sip_session Struct Reference
Collaboration diagram for janus_sip_session:
[legend]

## Data Fields

janus_plugin_session * | handle
char * | unique_id
ssip_t * | stack
janus_sip_account | account
janus_sip_call_status | status
janus_sip_media | media
char * | transaction
char * | callee
char * | callid
char * | local_tag
guint32 | refer_id
janus_sdp * | sdp
janus_recorder * | arc
janus_recorder * | arc_peer
janus_recorder * | vrc
janus_recorder * | vrc_peer
janus_mutex | rec_mutex
GHashTable * | audio_forwarders
GHashTable * | video_forwarders
GHashTable * | peer_audio_forwarders
GHashTable * | peer_video_forwarders
GHashTable * | all_forwarders
janus_mutex | rtp_forwarders_mutex
int | udp_sock
GThread * | relayer_thread
volatile gint | establishing
volatile gint | established
volatile gint | hangingup
volatile gint | destroyed
guint32 | master_id
struct janus_sip_session * | master
gboolean | helper
GList * | helpers
janus_mutex | mutex
char * | hangup_reason_header
char * | hangup_reason_header_protocol
char * | hangup_reason_header_cause
GList * | incoming_header_prefixes
json_t * | hangup_custom_headers
GList * | active_calls
janus_refcount | ref
janus_sip_dtmf | latest_dtmf

## Field Documentation

## account

janus_sip_account janus_sip_session::account

## active_calls

GList* janus_sip_session::active_calls

## all_forwarders

GHashTable * janus_sip_session::all_forwarders

## arc

janus_recorder* janus_sip_session::arc

## arc_peer

janus_recorder* janus_sip_session::arc_peer

## audio_forwarders

GHashTable* janus_sip_session::audio_forwarders

## callee

char* janus_sip_session::callee

## callid

char* janus_sip_session::callid

## destroyed

volatile gint janus_sip_session::destroyed

## established

volatile gint janus_sip_session::established

## establishing

volatile gint janus_sip_session::establishing

## handle

janus_plugin_session* janus_sip_session::handle

## hangingup

volatile gint janus_sip_session::hangingup

## hangup_custom_headers

json_t* janus_sip_session::hangup_custom_headers

## hangup_reason_header

char* janus_sip_session::hangup_reason_header

## hangup_reason_header_cause

char* janus_sip_session::hangup_reason_header_cause

## hangup_reason_header_protocol

char* janus_sip_session::hangup_reason_header_protocol

## helper

gboolean janus_sip_session::helper

## helpers

GList* janus_sip_session::helpers

## incoming_header_prefixes

GList* janus_sip_session::incoming_header_prefixes

## latest_dtmf

janus_sip_dtmf janus_sip_session::latest_dtmf

## local_tag

char * janus_sip_session::local_tag

## master

struct janus_sip_session* janus_sip_session::master

## master_id

guint32 janus_sip_session::master_id

## media

janus_sip_media janus_sip_session::media

## mutex

janus_mutex janus_sip_session::mutex

## peer_audio_forwarders

GHashTable * janus_sip_session::peer_audio_forwarders

## peer_video_forwarders

GHashTable * janus_sip_session::peer_video_forwarders

## rec_mutex

janus_mutex janus_sip_session::rec_mutex

## ref

janus_refcount janus_sip_session::ref

## refer_id

guint32 janus_sip_session::refer_id

## relayer_thread

GThread* janus_sip_session::relayer_thread

## rtp_forwarders_mutex

janus_mutex janus_sip_session::rtp_forwarders_mutex

## sdp

janus_sdp* janus_sip_session::sdp

## stack

ssip_t* janus_sip_session::stack

## status

janus_sip_call_status janus_sip_session::status

## transaction

char* janus_sip_session::transaction

## udp_sock

int janus_sip_session::udp_sock

## unique_id

char* janus_sip_session::unique_id

## video_forwarders

GHashTable * janus_sip_session::video_forwarders

## vrc

janus_recorder* janus_sip_session::vrc

## vrc_peer

janus_recorder* janus_sip_session::vrc_peer

The documentation for this struct was generated from the following file:

- janus_sip.c